import { OnInit, Type } from '@angular/core';
import { Observable } from 'rxjs';
import { PendingRequestsInterceptorConfigurer } from '../services/pending-requests-interceptor-configurer.service';
import { SpinnerVisibilityService } from '../services/spinner-visibility.service';
import * as i0 from "@angular/core";
export declare class NgHttpLoaderComponent implements OnInit {
    private pendingRequestsInterceptorConfigurer;
    private spinnerVisibility;
    spinkit: {
        skChasingDots: string;
        skCubeGrid: string;
        skDoubleBounce: string;
        skRotatingPlane: string;
        skSpinnerPulse: string;
        skThreeBounce: string;
        skWanderingCubes: string;
        skWave: string;
    };
    isVisible$: Observable<boolean>;
    visibleUntil: number;
    readonly backdrop: import("@angular/core").InputSignal<boolean>;
    readonly backgroundColor: import("@angular/core").InputSignal<string | undefined>;
    readonly debounceDelay: import("@angular/core").InputSignal<number>;
    readonly entryComponent: import("@angular/core").InputSignal<Type<unknown> | null>;
    readonly extraDuration: import("@angular/core").InputSignal<number>;
    readonly filteredHeaders: import("@angular/core").InputSignal<string[]>;
    readonly filteredMethods: import("@angular/core").InputSignal<string[]>;
    readonly filteredUrlPatterns: import("@angular/core").InputSignal<string[]>;
    readonly minDuration: import("@angular/core").InputSignal<number>;
    readonly opacity: import("@angular/core").InputSignal<string>;
    readonly backdropBackgroundColor: import("@angular/core").InputSignal<string>;
    readonly spinner: import("@angular/core").ModelSignal<string | null>;
    constructor(pendingRequestsInterceptorConfigurer: PendingRequestsInterceptorConfigurer, spinnerVisibility: SpinnerVisibilityService);
    ngOnInit(): void;
    private initIsvisibleObservable;
    private nullifySpinnerIfEntryComponentIsDefined;
    private initFilters;
    private initFilteredUrlPatterns;
    private initFilteredMethods;
    private initFilteredHeaders;
    private updateExpirationDelay;
    private getVisibilityTimer$;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgHttpLoaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgHttpLoaderComponent, "ng-http-loader", never, { "backdrop": { "alias": "backdrop"; "required": false; "isSignal": true; }; "backgroundColor": { "alias": "backgroundColor"; "required": false; "isSignal": true; }; "debounceDelay": { "alias": "debounceDelay"; "required": false; "isSignal": true; }; "entryComponent": { "alias": "entryComponent"; "required": false; "isSignal": true; }; "extraDuration": { "alias": "extraDuration"; "required": false; "isSignal": true; }; "filteredHeaders": { "alias": "filteredHeaders"; "required": false; "isSignal": true; }; "filteredMethods": { "alias": "filteredMethods"; "required": false; "isSignal": true; }; "filteredUrlPatterns": { "alias": "filteredUrlPatterns"; "required": false; "isSignal": true; }; "minDuration": { "alias": "minDuration"; "required": false; "isSignal": true; }; "opacity": { "alias": "opacity"; "required": false; "isSignal": true; }; "backdropBackgroundColor": { "alias": "backdropBackgroundColor"; "required": false; "isSignal": true; }; "spinner": { "alias": "spinner"; "required": false; "isSignal": true; }; }, { "spinner": "spinnerChange"; }, never, never, true, never>;
}
